﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace FadingText
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.textBlock1.Visibility = Visibility.Visible;

            DoubleAnimation doubleAnimation1 = new DoubleAnimation();
            doubleAnimation1.From = 1.0;
            doubleAnimation1.To = 0.0;
            doubleAnimation1.Duration = new Duration(TimeSpan.FromMilliseconds(600));
            Storyboard.SetTarget(doubleAnimation1, this.textBlock1);
            Storyboard.SetTargetProperty(doubleAnimation1, new PropertyPath(Image.OpacityProperty));

            DoubleAnimation doubleAnimation2 = new DoubleAnimation();
            doubleAnimation2.From = 1;
            doubleAnimation2.To = 2.5;
            doubleAnimation2.Duration = new Duration(TimeSpan.FromMilliseconds(600));
            Storyboard.SetTarget(doubleAnimation2, this.textBlock1);
            Storyboard.SetTargetProperty(doubleAnimation2, new PropertyPath("(UIElement.RenderTransform).(TransformGroup.Children)[0].(ScaleTransform.ScaleX)"));

            DoubleAnimation doubleAnimation3 = new DoubleAnimation();
            doubleAnimation3.From = 1;
            doubleAnimation3.To = 2.5;
            doubleAnimation3.Duration = new Duration(TimeSpan.FromMilliseconds(600));
            Storyboard.SetTarget(doubleAnimation3, this.textBlock1);
            Storyboard.SetTargetProperty(doubleAnimation3, new PropertyPath("(UIElement.RenderTransform).(TransformGroup.Children)[0].(ScaleTransform.ScaleY)"));

            Storyboard storyboard = new Storyboard();
            storyboard.Children.Add(doubleAnimation1);
            storyboard.Children.Add(doubleAnimation2);
            storyboard.Children.Add(doubleAnimation3);
            storyboard.Completed += new EventHandler(storyboard_Completed);
            storyboard.Begin();
        }

        void storyboard_Completed(object sender, EventArgs e)
        {
            this.textBlock1.Visibility = Visibility.Collapsed;
        }
    }
}
